Bug 246524 - www/luakit-devel: update to 2.1.36
Summary: www/luakit-devel: update to 2.1.36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-17 11:06 UTC by Marco Beishuizen
Modified: 2020-05-21 05:23 UTC (History)
2 users (show)

See Also:
mbeis: maintainer-feedback+


Attachments
www/luakit-devel: update to 2.1.36 (930 bytes, patch)
2020-05-17 11:06 UTC, Marco Beishuizen
mbeis: maintainer-approval+
Details | Diff
www/luakit-devel: update to 2.1.36 (956 bytes, patch)
2020-05-19 11:35 UTC, Marco Beishuizen
mbeis: maintainer-approval+
Details | Diff
www/luakit-devel: update to 2.1.36 (1.39 KB, patch)
2020-05-20 13:15 UTC, Marco Beishuizen
mbeis: maintainer-approval+
mbeis: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Beishuizen 2020-05-17 11:06:41 UTC
Created attachment 214582 [details]
www/luakit-devel: update to 2.1.36

Update luakit development version to 2.1.36
Comment 1 Fernando Apesteguía freebsd_committer 2020-05-18 06:15:57 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

Attachment -> Details -> maintainer-approval [+]

Thanks!
Comment 2 Hiroki Tagato freebsd_committer 2020-05-19 06:17:39 UTC
The attached patch does not seem to apply cleanly.

Can you regenerate a patch against the latest revision of www/luakit-devel?
(The attached on appears to be against www/luakit.)
Comment 3 Marco Beishuizen 2020-05-19 08:15:22 UTC
I updated the portstree but www/luakit-devel seems to be empty now?
Comment 4 Hiroki Tagato freebsd_committer 2020-05-19 08:41:37 UTC
(In reply to Marco Beishuizen from comment #3)

What command do you use to update the ports tree?

- If you use portsnap, do:
  $ portsnap auto
    or
  $ portsnap fetch update

- If you use subversion, do:
  $ cd /path/to/ports/tree && svn update
Comment 5 Marco Beishuizen 2020-05-19 10:34:07 UTC
I use subversion (svn update /usr/ports).
Don't know why but www/luakit-devel stays empty.
Comment 6 Marco Beishuizen 2020-05-19 10:36:42 UTC
I'll try to checkout the tree again.
Comment 7 Marco Beishuizen 2020-05-19 10:47:20 UTC
When I delete www/luakit-devel and checkout again, svn says that www/luakit-devel is restored but the directory stays empty.
Comment 8 Hiroki Tagato freebsd_committer 2020-05-19 10:52:11 UTC
(In reply to Marco Beishuizen from comment #7)

What's the output of:
$ svn status -v www/luakit-devel
Comment 9 Marco Beishuizen 2020-05-19 11:03:28 UTC
[root@yokozuna:/usr/ports]# svn status -v www/luakit-devel
R           535855       ?   ?           www/luakit-devel
D           535855   531946 tcberner     www/luakit-devel/Makefile
D           535855   531946 tcberner     www/luakit-devel/distinfo
D           535855   515209 pi           www/luakit-devel/pkg-descr
D           535855   531946 tcberner     www/luakit-devel/pkg-plist
Comment 10 Hiroki Tagato freebsd_committer 2020-05-19 11:08:47 UTC
(In reply to Marco Beishuizen from comment #9)

Thanks for the output. It appears subversion thinks the files are deleted.

Can you try:
# svn revert -R www/luakit-devel

I guess that will revive the files in the directory.
Comment 11 Marco Beishuizen 2020-05-19 11:11:50 UTC
Thanks!, the port is back.
I'll create a new diff for the upgrade.
Comment 12 Marco Beishuizen 2020-05-19 11:35:51 UTC
Created attachment 214637 [details]
www/luakit-devel: update to 2.1.36

www/luakit-devel: update to 2.1.36
Comment 13 Hiroki Tagato freebsd_committer 2020-05-20 06:32:24 UTC
I tried to build the port with poudriere and got the following warning message:


====> Running Q/A tests (stage-qa)
Warning: 'lib/luakit/luakit.so' is not stripped consider trying INSTALL_TARGET=install-strip or using ${STRIP_CMD}


It appears luakit.so need to be stripped as well as luakit.
Comment 14 Marco Beishuizen 2020-05-20 11:14:29 UTC
I don't get any warning here. When "INSTALL_TARGET=install-strip" is added to the Makefile, installing fails with:

[...]
===>   Generating temporary packing list
gmake[2]: Entering directory '/home/marco/devel/_freebsd/ports/www/luakit-devel/work/luakit-2.1-36-ga188409'
gmake[2]: *** No rule to make target 'install-strip'.  Stop.
gmake[2]: Leaving directory '/home/marco/devel/_freebsd/ports/www/luakit-devel/work/luakit-2.1-36-ga188409'
*** Error code 2

Stop.
make[1]: stopped in /home/marco/devel/_freebsd/ports/www/luakit-devel
*** Error code 1

Stop.
make: stopped in /home/marco/devel/_freebsd/ports/www/luakit-devel
[...]

Notice that the Makefile already has:

[...]
post-install:
        ${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/luakit
[...]

So I'm not sure what to do next.
Comment 15 Marco Beishuizen 2020-05-20 11:22:23 UTC
After adding "DEVELOPER=yes" to make.conf the warning is visible.
Still finding out how to get rid of the warning though.
Comment 16 Hiroki Tagato freebsd_committer 2020-05-20 12:58:07 UTC
(In reply to Marco Beishuizen from comment #15)

Adding the following line to post-install target should be enough:

${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/luakit/luakit.so
Comment 17 Marco Beishuizen 2020-05-20 13:15:40 UTC
Created attachment 214692 [details]
www/luakit-devel: update to 2.1.36

This should fix it.
Comment 18 commit-hook freebsd_committer 2020-05-21 05:21:57 UTC
A commit references this bug:

Author: tagattie
Date: Thu May 21 05:21:26 UTC 2020
New revision: 536070
URL: https://svnweb.freebsd.org/changeset/ports/536070

Log:
  - Update to 2.1.36
  - Make portclippy happy

  PR:		246524
  Submitted by:	Marco Beishuizen <mbeis@xs4all.nl> (maintainer)
  Approved by:	mentors (implicit)

Changes:
  head/www/luakit-devel/Makefile
  head/www/luakit-devel/distinfo
Comment 19 Hiroki Tagato freebsd_committer 2020-05-21 05:23:05 UTC
Commited, thanks!